Create project
curl --request POST \
--url https://api.contracting.kukkingu.software/api/v1/projects \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenant-id: <tenant-id>' \
--data '
{
"contractId": "ctr_z23aoo8naxk68ewcr64tchh5",
"name": "Website Redesign",
"description": "Revamp the corporate website for the 2025 launch.",
"order": 13
}
'import requests
url = "https://api.contracting.kukkingu.software/api/v1/projects"
payload = {
"contractId": "ctr_z23aoo8naxk68ewcr64tchh5",
"name": "Website Redesign",
"description": "Revamp the corporate website for the 2025 launch.",
"order": 13
}
headers = {
"tenant-id": "<tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'tenant-id': '<tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
contractId: 'ctr_z23aoo8naxk68ewcr64tchh5',
name: 'Website Redesign',
description: 'Revamp the corporate website for the 2025 launch.',
order: 13
})
};
fetch('https://api.contracting.kukkingu.software/api/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "prj_8f4d4gk1p9h2x0s7v3n5c1a9",
"contract": "ctr_z23aoo8naxk68ewcr64tchh5",
"name": "Website Redesign",
"createdAt": "2023-10-05T14:48:00.000Z",
"updatedAt": "2023-10-05T14:48:00.000Z",
"description": "Revamp the corporate website for the 2025 launch.",
"order": 13
}
}{
"error": "ValidationError",
"message": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>",
"constraint": "<string>"
}
]
}{
"error": "Unauthorized",
"message": "Unauthorized"
}{
"error": "Forbidden",
"message": "Forbidden"
}{
"error": "NotFound",
"message": "Not Found"
}Projects
Create project
Creates a new project for the provided contract.
POST
/
api
/
v1
/
projects
Create project
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Specifies the tenant context for the request. All endpoints operate within this tenant scope.
Example:
"tnt_pfh0haxfpzowht3oi213cqos"
Body
application/json
Request body used to create a project resource.
Request body used to create a project resource.
The ID of the contract.
Minimum string length:
1Example:
"ctr_z23aoo8naxk68ewcr64tchh5"
Name of the project.
Required string length:
1 - 255Example:
"Website Redesign"
Optional description of the project.
Maximum string length:
1024Example:
"Revamp the corporate website for the 2025 launch."
Order of the resource for sorting purposes.
Required range:
0 <= x <= 9007199254740991Example:
13
Response
Default Response
Standard success response payload wrapped in a data property.
Project resource returned by the API.
Show child attributes
Show child attributes